Name:           dvisvgm
Version:        1.9.2
Release:        1%{?dist}
Summary:        DVI to SVG converter

Group:          Applications/Publishing
License:        GPLv3+
URL:            http://dvisvgm.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Patch0:         %{name}-old-kpathsea.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freetype-devel 
BuildRequires:  ghostscript-devel 
BuildRequires:  potrace-devel
BuildRequires:  zlib-devel 
Requires:       tex(dvips)

%if 0%{?rhel} == 4 || 0%{?rhel} == 5
BuildRequires:  tetex-fonts
Requires:       tetex-fonts
%else
BuildRequires:  kpathsea-devel
Requires:       tex(tex)
%endif


%description
dvisvgm is a command line utility that converts DVI files, as created by 
TeX/LaTeX, to the XML-based scalable vector graphics format SVG. It supports
standard DVI files (format 2) as well as DVI output created by pTeX in vertical
mode (format 3), and XeTeX (format 5, also known as XDV). Besides
the basic DVI command set, dvisvgm also supports various special sets, like 
color, hyperref, PostScript and TPIC. Furthermore, dvisvgm offers an option to
convert EPS files to SVG too. For more detailed information, see
http://dvisvgm.sourceforge.net


%prep
%setup -q
%patch0 -p1
# Remove bundled Ghostscript API headers
%if !(0%{?rhel} == 4 || 0%{?rhel} == 5)
rm -f src/iapi.h src/ierrors.h
%endif


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING LGPL-2.1.txt NEWS README
%{_bindir}/dvisvgm
%{_mandir}/man1/dvisvgm.1*


%changelog
* Mon Apr 20 2015 Martin Gieseking <martin.gieseking@uos.de> 1.9.2-1
- Updated to release 1.9.2

* Fri Jan 16 2015 Martin Gieseking <martin.gieseking@uos.de> 1.9-1
- Updated to release 1.9.
- Updated the %%description text.

* Wed Oct 15 2014 Martin Gieseking <martin.gieseking@uos.de> 1.8.1-1
- Updated to release 1.8.1
- Added patch to support old kapthasea library

* Mon Jun 17 2013 Martin Gieseking <martin.gieseking@uos.de> 1.3-1
- Updated to release 1.3.
- Removed the stuff releated to the formerly bundled potrace library. It's no longer present in the tarball.

* Sun Mar 03 2013 Martin Gieseking <martin.gieseking@uos.de> 1.2-1
- Updated to release 1.2.

* Tue Jan 29 2013 Martin Gieseking <martin.gieseking@uos.de> 1.1-1
- Updated to new upstream release.

* Fri Sep 28 2012 Martin Gieseking <martin.gieseking@uos.de> 1.0.12-1
- Updated to upstream release 1.0.12.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Martin Gieseking <martin.gieseking@uos.de> 1.0.11-1
- Updated to upstream release 1.0.11

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Martin Gieseking <martin.gieseking@uos.de> - 1.0.10-1
- updated to upstream release 1.0.10

* Fri Oct 14 2011 Martin Gieseking <martin.gieseking@uos.de> - 1.0.9-1
- updated to upstream release 1.0.9

* Tue May 31 2011 Martin Gieseking <martin.gieseking@uos.de> 1.0.8-1
- updated to upstream release 1.0.8

* Fri May 06 2011 Martin Gieseking <martin.gieseking@uos.de> - 1.0.7-1
- updated to upstream release 1.0.7

* Wed Mar 02 2011 Martin Gieseking <martin.gieseking@uos.de> - 1.0.5-1
- updated to upstream release 1.0.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Martin Gieseking <martin.gieseking@uos.de> 1.0.4-4
- rebuilt to link against shared library of potrace

* Sun Dec 19 2010 Martin Gieseking <martin.gieseking@uos.de> 1.0.4-3
- updated to upstream release 1.0.4

* Wed Sep 29 2010 jkeating - 1.0.3-3
- Rebuilt for gcc bug 634757

* Sat Sep 25 2010 Martin Gieseking <martin.gieseking@uos.de> - 1.0.3-2
- rebuilt to link against Ghostscript 9.0

* Fri Aug 06 2010 Martin Gieseking <martin.gieseking@uos.de> - 1.0.3-1
- updated to upstream release 1.0.3

* Fri Jun 11 2010 Martin Gieseking <martin.gieseking@uos.de> - 1.0.1-1
- updated to upstream release 1.0.1

* Fri Apr 23 2010 Martin Gieseking <martin.gieseking@uos.de> - 0.9.1-1
- updated to latest upstream release 0.9.1

* Tue Feb  2 2010 Martin Gieseking <martin.gieseking@uos.de> - 0.8.8-1
- updated to latest upstream release 0.8.8

* Tue Dec  8 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.7-2
- Explicitly BR potrace-static in accordance with the Packaging
  Guidelines (potrace-devel is still static-only).

* Tue Nov 10 2009  Martin Gieseking <martin.gieseking@uos.de> - 0.8.7-1
- updated to latest upstream release 0.8.7

* Tue Oct 13 2009  Martin Gieseking <martin.gieseking@uos.de> - 0.8.6-1
- updated to latest upstream release 0.8.6

* Thu Sep 17 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.4-1
- updated to latest upstream release 0.8.4

* Mon Aug 24 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.3-1
- updated to latest upstream release 0.8.3
- conditional Requires and BuildRequires to satisfy F-xx and EL5

* Wed Aug 12 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.1-5
- adapted Build and BuildRequires to requirements of EL5

* Tue Aug 03 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.1-4
- removed bundled potrace library in prep section

* Mon Aug 02 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.1-3
- don't use bundled potrace library

* Mon Aug 02 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.1-2
- rebased to upstream with added tarball
- added LICENSE to doc

* Sun Aug 01 2009 Martin Gieseking <martin.gieseking@uos.de> - 0.8.1-1
- initial release
